/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.awt.Color;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.ButtonGroup;
import javax.swing.JPanel;


public class PestanaWikiAnadir extends JPanel{
	
	
	private static final long serialVersionUID = 1L;
	
	//Declaramos los atributos de la clase
	
	//Etiquetas
	
	Etiqueta etiquetaDicWiki = null;
	Etiqueta jLabelMensajeAnadir = null;
	Etiqueta etiquetaTermino = null;
	Etiqueta etiquetaSustantivo = null;
	Etiqueta etiquetaVerbo = null;
	Etiqueta etiquetaAdjetivo = null;
	Etiqueta etiquetaTraduccion = null;
	Etiqueta etiquetaAdverbio = null;
	Etiqueta etiquetaPreposicion = null;
	Etiqueta etiquetaDeterminante = null;
	Etiqueta etiquetaPronombre = null;
	Etiqueta etiquetaConjuncion = null;
	
	//Desplegable
	
	Desplegable desplegableDicWiki = null;
	
	//Radios
	
	RadioButton radioButtonTipo1  = null;
	RadioButton radioButtonTipo2  = null;
	RadioButton radioButtonTipo3  = null;
	RadioButton radioButtonTipo4  = null;
	RadioButton radioButtonTipo5  = null;
	RadioButton radioButtonTipo6  = null;
	RadioButton radioButtonTipo7  = null;
	RadioButton radioButtonTipo8  = null;
	
	//Grupo de Radio
	
	 ButtonGroup grupoPalabra = null;
	 
	 //Botones
	 
	 Boton botonAnadir = null;
	 Boton botonSalir = null;
	 
	 //CampoTexto
	 
	 CampoTexto campoTextoTermino = null;
	 
	 //PanelTexto
	 
	 PanelTexto panelTextoTraduccion = null;
	 
	 //radio Elegido
	 
	 private String radioElegido = "";
	
	 	
	 public PestanaWikiAnadir(){
		 
		 	//	Configuro el Panel
 
			this.setLayout(null);
			this.setBounds(new Rectangle(0, 0, 400, 400));
			this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
			
			 //Aado las etiquetas
			
			getLabels();
				
			// Aado el desplegable Wiki
									
			getDesplegable();														
									
			//Aado los radioButton

			getRadios();						
																									
			//Aado los botones
			
			getBotones();
			
			//Aado un CampoTexto
										
			getCampoTexto();
			
			//Aado el Campo de Traduccion
													
			getPanelTexto();

									
		
	}
	 
	 private void getLabels(){
			
			
		 	etiquetaDicWiki = new Etiqueta(15, 35, 70, 16,"l_dicwiki");
			jLabelMensajeAnadir = new Etiqueta(10, 280, 300, 16);
			jLabelMensajeAnadir.setText("");			
			etiquetaTermino = new Etiqueta(15, 60, 70, 16, "l_termino");			
			etiquetaSustantivo = new Etiqueta(40, 160, 100, 16, "l_sustantivo" );
			etiquetaVerbo = new Etiqueta(40, 180, 100, 16, "l_verbo");
			etiquetaAdjetivo = new Etiqueta(40, 200, 100, 16, "l_adjetivo" );
			etiquetaTraduccion = new Etiqueta(15, 85, 70, 16, "l_traduc" );
			etiquetaAdverbio = new Etiqueta(132, 160, 100, 16, "l_adverbio" );
			etiquetaPreposicion = new Etiqueta(132, 180, 100, 16, "l_preposicion");
			etiquetaDeterminante = new Etiqueta(132, 200, 100, 16, "l_determinante" );
			etiquetaPronombre = new Etiqueta(230, 160, 100, 16, "l_pronombre" );
			etiquetaConjuncion = new Etiqueta(230, 180, 100, 16, "l_conjuncion");
			
 		//Aado los labels
 		
 		this.add(etiquetaDicWiki, null);
 		this.add(jLabelMensajeAnadir, null);
 		this.add(etiquetaTermino, null);
 		this.add(etiquetaSustantivo, null);
 		this.add(etiquetaVerbo, null);
 		this.add(etiquetaAdjetivo, null);
 		this.add(etiquetaTraduccion, null);
 		this.add(etiquetaAdverbio, null);
 		this.add(etiquetaPreposicion, null);
 		this.add(etiquetaDeterminante, null);
 		this.add(etiquetaPronombre, null);
 		this.add(etiquetaConjuncion, null);
 		        
		
	}
	 
	 
	 private void getDesplegable(){
		 
		 desplegableDicWiki = new Desplegable(90, 35, 120, 20);
		 desplegableDicWiki.setMaximumRowCount(14);
			
			//aado al panel
			
			this.add(desplegableDicWiki, null);
			
		 
	 }
	 
	 private void getRadios(){
			
			//Creamos los grupos de radio
	        
		 	grupoPalabra = new ButtonGroup();

			
			radioButtonTipo1 = new RadioButton(15, 160, 21, 21);
			radioButtonTipo2 = new RadioButton(15, 180, 21, 21);
			radioButtonTipo3 = new RadioButton(15, 200, 21, 21);
			radioButtonTipo4 = new RadioButton(108, 160, 21, 21);
			radioButtonTipo5 = new RadioButton(108, 180, 21, 21);
			radioButtonTipo6 = new RadioButton(108, 200, 21, 21);
			radioButtonTipo7 = new RadioButton(200, 160, 21, 21);
			radioButtonTipo8 = new RadioButton(200, 180, 21, 21);

		
			grupoPalabra.add(radioButtonTipo1);
			grupoPalabra.add(radioButtonTipo2);
			grupoPalabra.add(radioButtonTipo3);
			grupoPalabra.add(radioButtonTipo4);
			grupoPalabra.add(radioButtonTipo5);
			grupoPalabra.add(radioButtonTipo6);
			grupoPalabra.add(radioButtonTipo7);
			grupoPalabra.add(radioButtonTipo8);

			
			this.add(radioButtonTipo1, null);
			this.add(radioButtonTipo2, null);
			this.add(radioButtonTipo3, null);
			this.add(radioButtonTipo4, null);
			this.add(radioButtonTipo5, null);
			this.add(radioButtonTipo6, null);
			this.add(radioButtonTipo7, null);
			this.add(radioButtonTipo8, null);
			
		}

	 private void getBotones(){
			
	

			//Aado boton
		 	botonAnadir = new Boton(130, 240, 85, 20,"b_anadir",2);
			botonSalir = new Boton(230, 10, 80, 20,"b_salir",2);

			
			
			this.add(botonAnadir,null);
			this.add(botonSalir,null);
		}
	 
	 private void getCampoTexto(){
		 
		 campoTextoTermino = new CampoTexto(90, 60, 200, 20);
			
		this.add(campoTextoTermino,null);
	 }
	
	 private void getPanelTexto(){
		 panelTextoTraduccion = new PanelTexto(90, 85, 200, 60 , true); 
		 this.add(panelTextoTraduccion,null);
	 }
	 
	 private void  limpiarTermino(){
		 
		 campoTextoTermino.setText("");
		 panelTextoTraduccion.setText("");
	 }
	 
	 public void configurarEventosPestana(final Aplicacion aplicacion,  final PestanaWiki p4){
	 
		 
	//Evento en el boton de aadir un termino
		 
		 botonAnadir.addMouseListener(new java.awt.event.MouseAdapter() {		
		  public void mouseClicked(java.awt.event.MouseEvent e) {

			  int indiceDesplegable = 0;
			  boolean inserta = false;
			  
			  indiceDesplegable = desplegableDicWiki.getSelectedIndex();
			  
			  inserta = aplicacion.anadirTermino(radioElegido, indiceDesplegable);

			  if ( inserta ) {					
					System.out.println("Se ha introducido un termino");					
					limpiarTermino();
					
					}else{					
						System.out.println("no Se ha introducido un termino");
					}			
		  		}			
			});
	 botonSalir.addMouseListener(new java.awt.event.MouseAdapter() {
		 public void mouseClicked(java.awt.event.MouseEvent e) {
			 
		 p4.panelRegistrar.campoTextoUsuario.setEditable(true);
		 p4.panelRegistrar.campoContrasenaReg.setEditable(true);
		 p4.panelRegistrar.campoTextoUsuario.setText("");
		 p4.panelRegistrar.campoContrasenaReg.setText("");
		 p4.panelRegistrar.etiquetaMensajeReg.setText("");
		 p4.panelRegistrar.etiquetaCorreo.setVisible(false);
		 p4.panelRegistrar.etiquetaSO.setVisible(false);
		 p4.panelRegistrar.campoTextoCorreo.setVisible(false);
		 p4.panelRegistrar.campoTextoSO.setVisible(false);
		 p4.panelRegistrar.botonSalir.setVisible(false);
		 p4.panelRegistrar.setVisible(true);
		 p4.panelAnadir.setVisible(false);
		 
		 	}
		});
	 
	 
	 
	 	radioButtonTipo1.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="1";
		  
		 }
		 });
		 radioButtonTipo2.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="2";
		  
		 }
		 });
		 radioButtonTipo3.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="3";
		  
		 }
		 });
		 radioButtonTipo4.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="4";
		  
		 }
		 });
		 radioButtonTipo5.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="5";
		  
		 }
		 });
		 radioButtonTipo6.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="6";
		  
		 }
		 });
		 radioButtonTipo7.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="7";
		  
		 }
		 });
		 radioButtonTipo8.addActionListener(new ActionListener(){
		 public void actionPerformed(ActionEvent e) {
		 radioElegido="8";
		  
		 }
		 });
		 
	 }//configurarEventosPestana
	 
	 
	 
	 public void cambiarColorInterfaz(){	
		 
			this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
			botonAnadir.cambiarColorInterfaz();
			botonSalir.cambiarColorInterfaz();
			desplegableDicWiki.cambiarColorInterfaz();
			radioButtonTipo1.cambiarColorInterfaz();
			radioButtonTipo2.cambiarColorInterfaz();
			radioButtonTipo3.cambiarColorInterfaz();
			radioButtonTipo4.cambiarColorInterfaz();
			radioButtonTipo5.cambiarColorInterfaz();
			radioButtonTipo6.cambiarColorInterfaz();
			radioButtonTipo7.cambiarColorInterfaz();
			radioButtonTipo8.cambiarColorInterfaz();
			campoTextoTermino.cambiarColorInterfaz();
			panelTextoTraduccion.cambiarColorInterfaz();
	
		}//cambiarColorInterfaz 
	 
		public void cambiarIdiomaInterfaz(){
			
			//cambiamos las etiquetas
			
			etiquetaDicWiki.cambiarIdiomaInterfaz();
			etiquetaTermino.cambiarIdiomaInterfaz();
			etiquetaSustantivo.cambiarIdiomaInterfaz();
			etiquetaVerbo.cambiarIdiomaInterfaz();
			etiquetaAdjetivo.cambiarIdiomaInterfaz();
			etiquetaTraduccion.cambiarIdiomaInterfaz();
			etiquetaAdverbio.cambiarIdiomaInterfaz();
			etiquetaPreposicion.cambiarIdiomaInterfaz();
			etiquetaDeterminante.cambiarIdiomaInterfaz();
			etiquetaPronombre.cambiarIdiomaInterfaz();			
			etiquetaConjuncion.cambiarIdiomaInterfaz();
			
			
			//cambiamos los botones
			botonAnadir.cambiarIdiomaInterfaz();
			botonSalir.cambiarIdiomaInterfaz();
		}
}	

	


